Skip to main content
GET
/
api
/
v1
/
workflow
/
{workflow_id}
/
runs
Get Workflow Runs
curl --request GET \
  --url https://app.dograh.com/api/v1/workflow/{workflow_id}/runs
{
  "runs": [
    {
      "id": 123,
      "workflow_id": 123,
      "name": "<string>",
      "mode": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "is_completed": true,
      "transcript_url": "<string>",
      "recording_url": "<string>",
      "cost_info": {},
      "definition_id": 123,
      "call_type": "inbound",
      "initial_context": {},
      "gathered_context": {},
      "logs": {},
      "annotations": {}
    }
  ],
  "total_count": 123,
  "page": 123,
  "limit": 123,
  "total_pages": 123,
  "applied_filters": [
    {}
  ]
}
Returns all runs for the given workflow, including both test runs and live call runs.

Headers

authorization
string | null
X-API-Key
string | null

Path Parameters

workflow_id
integer
required

Query Parameters

page
integer
default:1
limit
integer
default:50
filters
string | null

JSON-encoded filter criteria

sort_by
string | null

Field to sort by (e.g., 'duration', 'created_at')

sort_order
string | null
default:desc

Sort order ('asc' or 'desc')

Response

Successful Response

runs
WorkflowRunResponseSchema · object[]
required
total_count
integer
required
page
integer
required
limit
integer
required
total_pages
integer
required
applied_filters
Applied Filters · object[] | null